Bug 834046 - [RFE] Add nsTLS1 attribute to schema and objectclass nsEncryptionConfig
Summary: [RFE] Add nsTLS1 attribute to schema and objectclass nsEncryptionConfig
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: 389-ds-base
Version: 6.4
Hardware: Unspecified
OS: Unspecified
medium
unspecified
Target Milestone: rc
: ---
Assignee: Rich Megginson
QA Contact: Sankar Ramalingam
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-06-20 17:50 UTC by Nathan Kinder
Modified: 2013-02-21 08:18 UTC (History)
3 users (show)

Fixed In Version: 389-ds-base-1.2.11.12-1.el6
Doc Type: Enhancement
Doc Text:
Feature: Schema Reason: needed to update schema for DS config settings Result (if any):
Clone Of:
Environment:
Last Closed: 2013-02-21 08:18:17 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2013:0503 normal SHIPPED_LIVE Moderate: 389-ds-base security, bug fix, and enhancement update 2013-02-21 08:18:44 UTC

Description Nathan Kinder 2012-06-20 17:50:45 UTC
This bug is created as a clone of upstream ticket:
https://fedorahosted.org/389/ticket/24

https://bugzilla.redhat.com/show_bug.cgi?id=743403

{{{
The ssl.c code will use the attribute nsTLS1 if defined, but there is no such
attribute defined by the schema, nor will nsEncryptionConfig allow it.  We need
to add this attribute to the schema and to objectclass nsEncryptionConfig.
}}}

Comment 1 Jenny Severance 2012-06-22 18:47:53 UTC
please add steps to verify this issue and how the attribute should be verified functionally

Comment 2 Noriko Hosoi 2012-07-09 23:18:21 UTC
Added a test case bug834046 to acceptance - schema.

Comment 4 Jenny Severance 2013-01-14 15:00:34 UTC
verified ::

200|0 24 15:19:11|TP Start
520|0 24 31128 1 1|bug834046: Add nsTLS1 attribute to schema and objectclass nsEncryptionConfig
520|0 24 31128 1 2|bug834046: attrybuteTypes
520|0 24 31128 1 3|bug834046: attrybuteTypes nsTLS1 exists: OK
520|0 24 31128 1 4|bug834046: objectClasses
520|0 24 31128 1 5|bug834046: objectClasses nsTLS1 exists: OK
520|0 24 31128 1 6|TestCase [bug834046] result-> [PASS]

version :: 389-ds-base-1.2.11.15-8.el6

Comment 6 errata-xmlrpc 2013-02-21 08:18:17 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0503.html


Note You need to log in before you can comment on or make changes to this bug.